CREATE TABLE fun_alloc_process_exec_flow (
    PROCESS_EXECUTION_FLOW_ID    NUMBER(18, 0),
    PROCESS_EXECUTION_ID         NUMBER(18, 0)    NOT NULL,
    STEP_ID                      NUMBER(18, 0)    NOT NULL,
    PREDECESSOR_STEP_ID          NUMBER(18, 0)    NOT NULL,
    CONTROL_POINT_STEP_ID        NUMBER(18, 0)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    PROCESS_EXECUTION_FLOW_ID    NUMBER(18, 0),
    PROCESS_EXECUTION_ID         NUMBER(18, 0)    NOT NULL,
    STEP_ID                      NUMBER(18, 0)    NOT NULL,
    PREDECESSOR_STEP_ID          NUMBER(18, 0)    NOT NULL,
    CONTROL_POINT_STEP_ID        NUMBER(18, 0)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_fun_alloc_process_exec_flow PRIMARY KEY (PROCESS_EXECUTION_FLOW_ID, PROCESS_EXECUTION_FLOW_ID)
);
